Animation.Status (JavaFX 17)

Module javafx.graphics
Package javafx.animation

## Enum Animation.Status

- java.lang.Object
- - java.lang.Enum<Animation.Status>
  - - javafx.animation.Animation.Status

- All Implemented Interfaces:
    `Serializable`, `Comparable<Animation.Status>`
  Enclosing class:
    Animation

      public static enum Animation.Status
      extends Enum<Animation.Status>

  The possible states for `status`.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PAUSED` | The paused state.
    `RUNNING` | The running state.
    `STOPPED` | The stopped state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Animation.Status` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Animation.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAUSED

          public static final Animation.Status PAUSED

      The paused state.

    - #### RUNNING

          public static final Animation.Status RUNNING

      The running state.

    - #### STOPPED

          public static final Animation.Status STOPPED

      The stopped state.

  - ### Method Detail

    - #### values

          public static Animation.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Animation.Status c : Animation.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Animation.Status valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null